summaryrefslogtreecommitdiffstats
path: root/source/a/reiserfsprogs/reiserfsprogs.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/reiserfsprogs/reiserfsprogs.SlackBuild')
-rwxr-xr-xsource/a/reiserfsprogs/reiserfsprogs.SlackBuild15
1 files changed, 12 insertions, 3 deletions
diff --git a/source/a/reiserfsprogs/reiserfsprogs.SlackBuild b/source/a/reiserfsprogs/reiserfsprogs.SlackBuild
index c56d8f13f..fc38990da 100755
--- a/source/a/reiserfsprogs/reiserfsprogs.SlackBuild
+++ b/source/a/reiserfsprogs/reiserfsprogs.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -21,9 +21,18 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
VERSION=3.6.21
-ARCH=${ARCH:-x86_64}
BUILD=${BUILD:-1}
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
NUMJOBS=${NUMJOBS:-" -j7 "}
CWD=$(pwd)
@@ -64,7 +73,7 @@ if [ "$ARCH" = "x86_64" ]; then
sed -i -e 's?#define HAVE_ASM_UNALIGNED_H 1?/* & */?' config.h
fi
-make $NUMJOBS || make || exit1
+make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \